Subject: Re: system() call behaviour.
From: [email-masked] (Earnie Boyd)

9 May 1998 01:11:01 -0700
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: Dan Paslawski <[email-masked]>,
        "'Cygnus Request'" <[email-masked]>
Cc: "'Us'" <[email-masked]>

---Dan Paslawski <[email-masked]> wrote:
>
> I have an application which performs a sort on a datafile using
system utilities
> (via the function "system()").
> 
> 	void sort_data(char *fname)
> 
> 	char *command = new char[MAX_SIZE];
> 
> 	sprintf(command, "cp %s %s.BAK", fname, fname);
> 	ercode = system(command);
> 	if (ercode == 0)
> 	{
> 		sprintf(command, "/bin/sort -n +1 -T . %s.BAK > %s", fname, fname);
> 		ercode = system(command);
> 	}	
> 
> 	if (ercode != 0) printf("Error %d returned by system()\n", ercode);
> 
> When running this under the Cygwin Bash environment, this code works
properly.  However,
> if I run the code in a Windows NT Command Prompt Window (or an
MS_DOS Window under
> Windows 95),  the calls to system() fail.  I have also tried this
segment of code with other 
> commands (eg. dir, copy, mspaint), with the same results.
> 
> Any suggestions?

MSDOS shells cmd.exe/command.com do not understand the /bin/sort path.
 I suggest that you set PATH to point to the sort executable and
remove the /bin/ from the command.

> 
> Dan
> -
> For help on using this list (especially unsubscribing), send a
message to
> "[email-masked]" with one line of text: "help".
> 

==
-        \\||//
---o0O0--Earnie--0O0o----
[email-masked]
------ooo0O--O0ooo-------

_________________________________________________________
DO YOU YAHOO!?
Get your free @yahoo.com address at http://mail.yahoo.com

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".